#include "partition.h"
#include <bits/stdc++.h>
using namespace std;


// #define ll long long 

std::vector<int> solve(std::vector<int> b) {
    
    vector <pair<int,int>> a;

    int n = b.size();
    vector <int> ans;
    for (int i = 1; i <= n/2; i++) {
        ans.emplace_back(i-1);
        ans.emplace_back(n+1-i-1);
    }
    if (n%2) ans.emplace_back(n/2);
    
    return ans;
    
}
